aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKyle Evans <kevans@FreeBSD.org>2018-10-25 02:04:01 +0000
committerKyle Evans <kevans@FreeBSD.org>2018-10-25 02:04:01 +0000
commitf98c671d073627099f6ac3bd2e79747c5b72caef (patch)
tree0d54e1c0467b06e7419e7960b997807358fb4c53
parentb5da13f72d475d72dfb59cfc6e4ff3476a97f5e5 (diff)
Notes
-rwxr-xr-xtools/boot/lua-test.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/tools/boot/lua-test.sh b/tools/boot/lua-test.sh
index 21efce614207..3ce5fa6bd54a 100755
--- a/tools/boot/lua-test.sh
+++ b/tools/boot/lua-test.sh
@@ -13,13 +13,16 @@ scriptdir=$(dirname $(realpath $0))
cd $(make -V SRCTOP)/stand
obj=$(make -V .OBJDIR)
t=$obj/userboot/test/test
-u=$obj/userboot/userboot/userboot.so
[ -n "$dir" ] || dir=/tmp/loadertest
[ -d "$dir" ] || ${scriptdir}/lua-img.sh ${dir}
+# We'll try userboot.so from the test directory before plucking it straight out
+# of .OBJDIR.
+u=$dir/boot/userboot.so
+[ -f "$u" ] || u=$obj/userboot/userboot_lua/userboot_lua.so
[ -f "$dir/boot/lua/loader.lua" ] || die "No boot/lua/loader.lua found"
[ -f "$dir/boot/kernel/kernel" ] || die "No kernel to load"
[ -x "$t" ] || die "no userboot test jig found ($t)"
-[ -x "$u" ] || die "no userboot.so ($u) found"
+[ -f "$u" ] || die "no userboot.so ($u) found"
$t -h $dir -b $u